# Uses of Class
it.tdlight.jni.TdApi.ConnectionState

## Uses of TdApi.ConnectionState in it.tdlight.jni

Subclasses of TdApi.ConnectionState in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.ConnectionStateConnecting`
Currently establishing a connection to the Telegram servers.
`static final class`
`TdApi.ConnectionStateConnectingToProxy`
Currently establishing a connection with a proxy server.
`static final class`
`TdApi.ConnectionStateReady`
There is a working connection to the Telegram servers.
`static final class`
`TdApi.ConnectionStateUpdating`
Downloading data received while the application was offline.
`static final class`
`TdApi.ConnectionStateWaitingForNetwork`
Currently waiting for the network to become available.
Fields in it.tdlight.jni declared as TdApi.ConnectionState
Modifier and Type
Field
Description
`TdApi.ConnectionState`
TdApi.UpdateConnectionState.`state`
The new connection state.
Constructors in it.tdlight.jni with parameters of type TdApi.ConnectionState
Modifier
Constructor
Description
``
`UpdateConnectionState(TdApi.ConnectionState state)`
The connection state has changed.